Create a new user

Creates a new user. Currently only local users can be created.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Create user request body.

string
required
length ≤ 128

User email.

string
required

[Added in v3.28.0] Encrypted password with your negotiaged aes_key in base64 encoding, namely base64(aes(your_password)).
The original password also must satisfy the rules specified in your password policy setting
on your onpremise system.

string
required

[Added in v3.28.0] Symmetric encryption iv in base64 encoding.

boolean

Request to change the password when next login.

string
enum
required

For creating user, only member or admin role can be allowed.

  • member - member
  • admin - team administrator
Allowed:
int32
0 to 2147483647

The ID of the group the user is associated. For default group, its group id is 0.

string
enum
required

For creating user, only local_user category can be allowed.

  • local_user - general user
Allowed:
boolean

SOS capability settings of the user, false by default.

boolean

Web access capability settings of the user, false by default.

boolean

Status settings of the user, false by default.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json